"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ERROR_PERSIST_FORMAT_WRONG = exports.ERROR_PERSIST_FORMAT_REQUIRED = exports.PROMPT_PERSIST_FORMAT = exports.DEFAULT_PERSIST_FORMAT = exports.PERSIST_FORMAT_HTML = void 0;
const constants_1 = require("../constants");
exports.PERSIST_FORMAT_HTML = 'html';
/**
 * @deprecated
 * Use PERSIST_FORMAT_HTML instead and wrap it with an array
 */
exports.DEFAULT_PERSIST_FORMAT = [exports.PERSIST_FORMAT_HTML];
exports.PROMPT_PERSIST_FORMAT = 'What is the format of user-flow reports? (use ⬇/⬆ to navigate, and SPACE key to select)';
exports.ERROR_PERSIST_FORMAT_REQUIRED = 'format is required. Either through the console as `--format` or in the `.user-flow.json`';
const ERROR_PERSIST_FORMAT_WRONG = (wrongFormat) => {
    return `Argument: format, Given: "${wrongFormat}", Choices: ${constants_1.REPORT_FORMAT_VALUES.map(v => '"' + v + '"').join(', ')}`;
    // @TODO decide for yergs error handling od custom for choices
    // return `Wrong format: "${wrongFormat}". Format has to be one of: ${REPORT_FORMAT_OPTIONS.map(f => f.value ).join(', ')}`;
};
exports.ERROR_PERSIST_FORMAT_WRONG = ERROR_PERSIST_FORMAT_WRONG;
//# sourceMappingURL=format.constant.js.map