"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.param = void 0;
const yargs_1 = require("yargs");
// inspired by: https://github.com/GoogleChrome/lighthouse-ci/blob/main/packages/cli/src/collect/collect.js#L28-L98
exports.param = {
    serveCommand: {
        alias: 's',
        type: 'string',
        description: 'The npm command to serve your application. e.g. "npm run serve:prod"',
        // demandOption: true
    }
};
function get() {
    const { serveCommand } = yargs_1.argv;
    return serveCommand;
}
exports.get = get;
//# sourceMappingURL=serveCommand.js.map